Bug 1235185 - Missing support for X509Certificate from the transport layer
Summary: Missing support for X509Certificate from the transport layer
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard
Version: 6.0.0 GA
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: CR1
: 6.2.0
Assignee: tcunning
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks: 1214695
TreeView+ depends on / blocked
 
Reported: 2015-06-24 08:38 UTC by Martin Weiler
Modified: 2019-08-15 04:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1236029 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker SWITCHYARD-2737 Major Closed Missing support for X509Certificate from the transport layer 2016-03-30 12:27:19 UTC

Description Martin Weiler 2015-06-24 08:38:24 UTC
Description of problem:
Platform issue for SWITCHYARD-2737:

SY is missing support for "two-way-SSL", i. e. the client certificate from transport layer is used for authentication in the application layer.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 tcunning 2015-07-08 16:59:01 UTC
Should be verifiable in 6.2.1 ER2.

Comment 4 JBoss JIRA Server 2015-11-05 14:45:49 UTC
Tom Cunningham <tcunning@redhat.com> updated the status of jira SWITCHYARD-2737 to Reopened

Comment 5 JBoss JIRA Server 2015-11-05 14:45:58 UTC
Tom Cunningham <tcunning@redhat.com> updated the status of jira SWITCHYARD-2737 to Closed

Comment 6 ppecka 2016-03-09 22:07:45 UTC
VERIFIED, with modified quickstart policy-security-cert and following connector

            <connector name="https" protocol="HTTP/1.1" scheme="https" socket-binding="https" secure="true">
                <ssl name="https" password="changeit" certificate-key-file="${jboss.server.config.dir}/users.jks" verify-client="true" ca-certificate-file="${jboss.server.config.dir}/users.jks"/>
            </connector>


Note You need to log in before you can comment on or make changes to this bug.